<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Suiterus\Adg\Controllers\Approvals\Services\COCPointService;

class initCOCPoints extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'init:coc-points';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Initialize COC points of employees';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $cocService = new COCPointService;
        $cocService->initializeCOCPoints();
        return "Employee COC points has been initialized";
    }
}
